# BucketUpdater

Recruiting test aiming to synchronize an S3 bucket from a local folder

## Run local tests

### Mock AWS

Run the _Minio_ instance locally (_Docker_ is required):

```sh
sudo ./run_minio.sh
```

### Run updater

```sh
python3 boto-updater.py
```

You can modify files in `./test/data` or in bucket with _Minio_ web portal to manually test different use cases.

## Limits

- Locally modified files are not updated if already existing on Bucket
- Arguments of scripts are hardcoded
- Subfolder are not supported
- Can be optimized with multithreading
